Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ldapadapter.appconn
Class SearchOptionsImpl

    java.lang.Object
      com.stc.connector.ldapadapter.appconn.SearchOptionsImpl

All Implemented Interfaces:
  SearchOptions

    public class SearchOptionsImpl

extends java.lang.Object
implements SearchOptions

This class is used to set the options for the search operation

Version:
  $Revision: 1.4 $
Author:

Field Summary

Fields inherited from interface com.stc.connector.appconn.ldap.SearchOptions
`OBJECT_SCOPE, ONELEVEL_SCOPE, SUBTREE_SCOPE`

Constructor Summary
`protected` | `SearchOptionsImpl()`

Method Summary
`AttributesSelection` | `getAttributesSelection()` Method to retrieve the value of the 'list of attributes' that has been set as attributes to return by the search operation
`java.lang.String` | `getContextName()` Returns the name of the context for the search.
`int` | `getCountLimit()` Gets the size limitation on the search results for the search operation.
`boolean` | `getReturningObjFlag()` Gets the boolean flag to determine whether objects will be returned as part of the result.
`java.lang.String` | `getSearchFilter()` Gets the search filter for the search.
`int` | `getSearchScope()` Gets the search scope for the search.
`int` | `getTimeLimit()` Gets the timeout in milliseconds for the search operation.
`void` | `reset()` Method to reset the values
`void` | `setContextName(java.lang.String contextName)` Sets the name of the context for the search (where to start searching).
`void` | `setCountLimit(int countLimit)` Sets the size limitation on the search results for the search operation.
`void` | `setReturningObjFlag(boolean returnObjFlag)` Sets the boolean flag to enable/disable returning objects returned as part of the result.
`void` | `setSearchFilter(java.lang.String filter)` Sets the search filter for the search.
`void` | `setSearchScope(int scope)` Sets the search scope for the search.
`void` | `setTimeLimit(int timeLimitMilliSec)` Sets the timeout in milliseconds for the search operation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SearchOptionsImpl

    protected SearchOptionsImpl()

Method Detail

### reset

    public void reset()

  Description copied from interface: `SearchOptions`
  Method to reset the values

  Specified by:
    `reset` in interface `SearchOptions`

### getAttributesSelection

    public AttributesSelection getAttributesSelection()

  Method to retrieve the value of the 'list of attributes' that has been set as attributes to return by the search operation

  Specified by:
    `getAttributesSelection` in interface `SearchOptions`
  Returns:
    the AttributesSelection object associated with this instance

### setContextName

    public void setContextName(java.lang.String contextName)

  Sets the name of the context for the search (where to start searching).

  Specified by:
    `setContextName` in interface `SearchOptions`
  Parameters:
    `name` - The name of the context for the search.

### getContextName

    public java.lang.String getContextName()

  Returns the name of the context for the search. Returns null if context name was not previously set.

  Specified by:
    `getContextName` in interface `SearchOptions`

### setSearchScope

    public void setSearchScope(int scope)

  Sets the search scope for the search.

  Specified by:
    `setSearchScope` in interface `SearchOptions`
  Parameters:
    `scope` - The scope of the directory search. Valid values are OBJECT_SCOPE, ONELEVEL_SCOPE, or SUBTREE_SCOPE.
  See Also:
    `SearchOptions.OBJECT_SCOPE`, `SearchOptions.ONELEVEL_SCOPE`, `SearchOptions.SUBTREE_SCOPE`

### getSearchScope

    public int getSearchScope()

  Gets the search scope for the search.

  Specified by:
    `getSearchScope` in interface `SearchOptions`

### setSearchFilter

    public void setSearchFilter(java.lang.String filter)

  Sets the search filter for the search.

  Specified by:
    `setSearchFilter` in interface `SearchOptions`
  Parameters:
    `filter` - The filter expression to use for the search; may not be null. For example, for LDAP, see RFC 2254.

### getSearchFilter

    public java.lang.String getSearchFilter()

  Gets the search filter for the search.

  Specified by:
    `getSearchFilter` in interface `SearchOptions`

### setTimeLimit

    public void setTimeLimit(int timeLimitMilliSec)

  Sets the timeout in milliseconds for the search operation.

  Specified by:
    `setTimeLimit` in interface `SearchOptions`
  Parameters:
    `timeLimitMilliSec` - The timeout value in milliseconds. If 0 is specified, then the search will wait indefinitely; this is the default.

### getTimeLimit

    public int getTimeLimit()

  Gets the timeout in milliseconds for the search operation.

  Specified by:
    `getTimeLimit` in interface `SearchOptions`

### setCountLimit

    public void setCountLimit(int countLimit)

  Sets the size limitation on the search results for the search operation.

  Specified by:
    `setCountLimit` in interface `SearchOptions`
  Parameters:
    `countLimit` - The maximum number of results returned for the search. If 0 is specified, then return all results if there are any results; this is the default

### getCountLimit

    public int getCountLimit()

  Gets the size limitation on the search results for the search operation.

  Specified by:
    `getCountLimit` in interface `SearchOptions`

### setReturningObjFlag

    public void setReturningObjFlag(boolean returnObjFlag)

  Sets the boolean flag to enable/disable returning objects returned as part of the result.

  Specified by:
    `setReturningObjFlag` in interface `SearchOptions`
  Parameters:
    `returnObjFlag` - true to return objects in result. false to return only name and class of objects in result.

### getReturningObjFlag

    public boolean getReturningObjFlag()

  Gets the boolean flag to determine whether objects will be returned as part of the result.

  Specified by:
    `getReturningObjFlag` in interface `SearchOptions`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD